Kerbal Space Program - Bug #27162

SAS options do not correspond to the pilot
01/28/2021 10:05 PM - fritt

Status: Confirmed Start date: 01/28/2021
Severity: Low % Done: 10%
Assignee: victorr

Category: SAS

Target version:

Version: 1111 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

After an update all my crew members and probes in career mode have all SAS options available. Both in existing and new games.
No mods installed

Related issues:
Related to Kerbal Space Program - Bug #27169: Level 1 Pilot has access to all... Resolved 01/29/2021

History

#1 - 01/31/2021 09:24 AM - macmiles

| have this bug also. Scientists and Engineers have full SAS control. Version 1.10.1 does not have it. | am running 64 bit steam version on windows
10

#2 - 01/31/2021 02:57 PM - Corkword
- File 2021-01-31 1.png added
- File 2021-01-31 2.png added
- File 2021-01-31 3.png added
- File 2021-01-31 4.png added

i encountered the same bug, like #27169

#3 - 02/02/2021 07:31 PM - Technicalfool
- Related to Bug #27169: Level 1 Pilot has access to all SAS effects added

#4 - 02/02/2021 08:03 PM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#6 - 02/02/2021 08:06 PM - just_jim

This seems weirdly specific

Best i can tell SAS works with MH or both DLC's Installed

SAS is broken with BG or neither DLC installed

The probecores also have full SAS with the "probecore have full SAS" turned off (sandbox games)

#7 - 02/07/2021 03:20 AM - Inglonias

SAS seems to work as expected in Career mode with all DLC installed, but does not work correctly in Science mode.

#8 - 02/09/2021 05:13 PM - victorr

- Assignee set to victorr
#10 - 02/13/2021 07:05 PM - isaac9008

I've encountered this bug as well. Playing a science game with Kerbal experience setting on and all DLC installed via Steam on Windows. All Kerbals
gain XP normally, but have all SAS modes unlocked at level 0. Probe Cores also have all SAS modes with that setting off.
#11 - 04/02/2021 04:05 PM - citizenslave

Confirmed that | was experiencing this issue with just BG installed. | bought MH and restarted the game and it is corrected now. YW, Squad. $15 for

a budfix.

#12 - 06/25/2021 06:57 PM - Termopsis

Hello victorr. How is going?

#13 - 06/25/2021 07:17 PM - Termopsis

citizenslave wrote:

Confirmed that | was experiencing this issue with just BG installed. | bought MH and restarted the game and it is corrected now. YW, Squad.

$15 for a bugfix.

Yes. It helped! It made me to buy both dls(

#14 - 06/26/2021 07:50 PM - alocritani

just to inform you that here R-T-B seems to have found the reason of the bug; reposting here in order to increase visibility (I hope)

A look in a decompiler on Assembly-CSharp reveals the issue. In APISKillExtensions, the entire class evaluation for skills is shortcircuited to true if

this returns false:
if (ExpansionsLoader.IsExpansioninstalled("MakingHistory"))

Files

2021-01-31 1.png
2021-01-31 2.png
2021-01-31 3.png
2021-01-31 4.png

04/25/2024

6.66 MB
6.58 MB
5.92 MB
6.02 MB

01/31/2021
01/31/2021
01/31/2021
01/31/2021

22

Corkword
Corkword
Corkword
Corkword


https://bugs.kerbalspaceprogram.com/issues/27169#note-17
http://www.tcpdf.org

